Page MenuHomePhabricator

[PowerPC] Rename the vector pair intrinsics and builtins to replace the _mma_ prefix by _vsx_
ClosedPublic

Authored by bsaleil on Nov 23 2020, 9:23 AM.

Details

Summary

On PPC, the vector pair instructions are independent from MMA.
This patch renames the vector pair LLVM intrinsics and Clang builtins to replace the _mma_ prefix by _vsx_ in their names.
We also move the vector pair type/intrinsic/builtin tests to their own files.

Depends on D91819

Diff Detail

Event Timeline

bsaleil created this revision.Nov 23 2020, 9:23 AM
bsaleil requested review of this revision.Nov 23 2020, 9:23 AM
bsaleil retitled this revision from [PowerPC] Rename the pair intrinsics and builtins to replace the _mma_ prefix by _vsx_ to [PowerPC] Rename the vector pair intrinsics and builtins to replace the _mma_ prefix by _vsx_.
amyk accepted this revision as: amyk.Dec 4 2020, 2:49 PM

Just a minor comment but LGTM overall.

llvm/test/CodeGen/PowerPC/paired-vector-intrinsics.ll
16

Unfinished comment?

This revision is now accepted and ready to land.Dec 4 2020, 2:49 PM
saghir accepted this revision.Dec 15 2020, 6:57 AM

LGTM. A minor nit regarding an incomplete comment in llvm/test/CodeGen/PowerPC/paired-vector-intrinsics.ll which can be addressed when committing the patch.

bsaleil updated this revision to Diff 312238.Dec 16 2020, 9:27 AM

Rebase and fix comment

This revision was landed with ongoing or failed builds.Dec 17 2020, 10:19 AM
This revision was automatically updated to reflect the committed changes.